import com.ipxchina.jcti.entity.status.Data;
import com.ipxchina.jcti.entity.status.data.Conference;
import com.ipxchina.jcti.entity.status.data.Device;
import com.ipxchina.jcti.entity.status.data.Park;
import com.ipxchina.jcti.entity.status.data.Queue;
import com.ipxchina.jcti.entity.status.data.User;
import com.ipxchina.jcti.entity.status.data.queues.Member;
import com.ipxchina.jcti.entity.status.data.queues.Waitingcall;
import com.ipxchina.jcti.webcti.IEvent;

public class TestEvent implements IEvent{
	
	@Override
	public void onAddUser(User user) {
		System.out.println("添加用户");
	}

	@Override
	public void onRemoveUser(User user) {
		System.out.println("移除用户");
	}

	@Override
	public void onReBindUser(User user) {
		System.out.println("重新绑定");
	}

	@Override
	public void onPark(Park park) {
		System.out.println("驻留");
	}

	@Override
	public void onUnPark(Park park) {
		System.out.println("取消驻留");
	}

	@Override
	public void onDeviceStatus(Device device) {
		System.out.println("设备状态" + device.getStatus());
	}

	@Override
	public void onPopup(Device device) {
		System.out.println("弹屏信息" + device.getPopupcalls().get(0).getCallerid());
	}

	@Override
	public void onQueueAdd(Queue queue) {
		System.out.println("添加队列");
	}

	@Override
	public void onQueueRemove(Queue queue) {
		System.out.println("删除队列");
	}

	@Override
	public void onQueueOnline(Member member, String queueno) {
		System.out.println("队列上线");
	}

	@Override
	public void onQueueOffline(Member member, String queueno) {
		System.out.println("队列下线");
	}

	@Override
	public void onPause(Member member, String queueno) {
		System.out.println("队列示忙");
	}

	@Override
	public void onUnPause(Member member, String queueno) {
		System.out.println("队列示闲");
	}

	@Override
	public void onInQueue(Waitingcall wait, String queueno) {
		System.out.println("进入队列排队");
	}

	@Override
	public void onOutQueue(Waitingcall wait, String queueno) {
		System.out.println("退出队列排队");
	}

	@Override
	public void onCreateConference(String conf) {
		System.out.println("创建会议");
	}

	@Override
	public void onCloseConference(String conf) {
		System.out.println("关闭会议");
	}

	@Override
	public void onInConference(Conference conf) {
		System.out.println("进入会议");
	}

	@Override
	public void onOutConference(Conference conf) {
		System.out.println("离开会议");
	}

	@Override
	public void onBanSpeak(Conference conf) {
		System.out.println("会议禁言");
	}

	@Override
	public void onUnBanSpeak(Conference conf) {
		System.out.println("解除会议禁言");
	}

	@Override
	public void onBadcalls(String badcallcount, String queueno) {
		System.out.println("呼损数量");
	}

	@Override
	public void onFirstAllStatus(Data data) {
		System.out.println("首次更新数据成功");
	}

	@Override
	public void onSuccessAllStatus(Data data) {
		System.out.println("更新数据成功");
	}

	@Override
	public void onFailureAllStatus(String message, Exception e) {
		System.out.println("更新数据失败");
	}

}
